<?php

// class	Connection	extends PDO	{
//     private $stmt;
//     public	function __construct(string	$dsn)	{
//         parent::__construct($dsn);
//         echo "connection";
//         $this->setAttribute(PDO::ATTR_ERRMODE,	PDO::ERRMODE_EXCEPTION);	}

//     public function executeQuery(string	$query,	array $parameters =	[])	:bool {
//         $this->stmt =	parent::prepare($query);
//         foreach ($parameters as	$name =>	$value)	{
//             $this->stmt->bindValue($name,	$value[0],	$value[1]);	}
//         return	$this->stmt->execute();	}
//     public	function getResults():	array {
//         return	$this->stmt->fetchall();
//     }
// }

class Connection extends SQLite3
{
   private $stmt;
   private $result;
   function __construct($dsn)
   {
       $this->open($dsn);
   }

   public function executeQuery(string $query, array $parameters = []) :bool {
       $this->stmt = $this->prepare($query);
       foreach ($parameters as $name => $value) {
           $this->stmt->bindValue($name, $value[0], $value[1]);
       }
       $this->result=$this->stmt->execute();
       return $this->result;
   }

   public function getResults(): array {
       return $this->result->fetchArray();
   }
}